#include <stdint.h>

static const char pdf_expert_encoding_strings[] = {
 ".notdef\0space\0exclamsmall\0Hungarumlautsmall\0cent\0dollar\0"
  "dollarsuperior\0ampersandsmall\0Acutesmall\0parenleftsuperior\0"
  "parenrightsuperior\0twodotenleader\0onedotenleader\0comma\0hyphen\0period\0"
  "fraction\0zero\0one\0two\0three\0four\0five\0six\0seven\0eight\0nine\0colon\0"
  "semicolon\0threequartersemdash\0questionsmall\0Ethsmall\0onequarter\0onehalf\0"
  "threequarters\0oneeighth\0threeeighths\0fiveeighths\0seveneighths\0onethird\0"
  "twothirds\0ff\0fi\0fl\0ffi\0ffl\0parenleftinferior\0parenrightinferior\0"
  "Circumflexsmall\0hypheninferior\0Gravesmall\0Asmall\0Bsmall\0Csmall\0Dsmall\0"
  "Esmall\0Fsmall\0Gsmall\0Hsmall\0Ismall\0Jsmall\0Ksmall\0Lsmall\0Msmall\0"
  "Nsmall\0Osmall\0Psmall\0Qsmall\0Rsmall\0Ssmall\0Tsmall\0Usmall\0Vsmall\0"
  "Wsmall\0Xsmall\0Ysmall\0Zsmall\0colonmonetary\0onefitted\0rupiah\0Tilde\0"
  "asuperior\0centsuperior\0Aacutesmall\0Agravesmall\0Acircumflexsmall\0"
  "Adieresissmall\0Atildesmall\0Aringsmall\0Ccedillasmall\0Eacutesmall\0"
  "Egravesmall\0Ecircumflexsmall\0Edieresissmall\0Iacutesmall\0Igravesmall\0"
  "Icircumflexsmall\0Idieresissmall\0Ntildesmall\0Oacutesmall\0Ogravesmall\0"
  "Ocircumflexsmall\0Odieresissmall\0Otildesmall\0Uacutesmall\0Ugravesmall\0"
  "Ucircumflexsmall\0Udieresissmall\0eightsuperior\0fourinferior\0threeinferior\0"
  "sixinferior\0eightinferior\0seveninferior\0Scaronsmall\0centinferior\0"
  "twoinferior\0Dieresissmall\0Caronsmall\0osuperior\0fiveinferior\0"
  "commainferior\0periodinferior\0Yacutesmall\0dollarinferior\0Thornsmall\0"
  "nineinferior\0zeroinferior\0Zcaronsmall\0AEsmall\0Oslashsmall\0"
  "questiondownsmall\0oneinferior\0Lslashsmall\0Cedillasmall\0OEsmall\0"
  "figuredash\0hyphensuperior\0exclamdownsmall\0Ydieresissmall\0onesuperior\0"
  "twosuperior\0threesuperior\0foursuperior\0fivesuperior\0sixsuperior\0"
  "sevensuperior\0ninesuperior\0zerosuperior\0esuperior\0rsuperior\0tsuperior\0"
  "isuperior\0ssuperior\0dsuperior\0lsuperior\0Ogoneksmall\0Brevesmall\0"
  "Macronsmall\0bsuperior\0nsuperior\0msuperior\0commasuperior\0periodsuperior\0"
  "Dotaccentsmall\0Ringsmall\0"
};

static const uint16_t pdf_expert_encoding_offsets[256] = {
    0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
    0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
    8,  14,  26,  44,  49,  56,  71,  86,  97, 115, 134, 149, 164, 170, 177, 184,
  193, 198, 202, 206, 212, 217, 222, 226, 232, 238, 243, 249,   0, 259,   0, 279,
    0,   0,   0,   0, 293,   0,   0, 302, 313, 321, 335, 345, 358, 370, 383, 392,
    0,   0,   0,   0,   0,   0, 402, 405, 408, 411, 415, 419,   0, 437, 456, 472,
  487, 498, 505, 512, 519, 526, 533, 540, 547, 554, 561, 568, 575, 582, 589, 596,
  603, 610, 617, 624, 631, 638, 645, 652, 659, 666, 673, 680, 694, 704, 711,   0,
    0, 717, 727,   0,   0,   0,   0, 740, 752, 764, 781, 796, 808, 819, 833, 845,
  857, 874, 889, 901, 913, 930, 945, 957, 969, 981, 998,1013,1025,1037,1049,1066,
    0,1081,1095,1108,1122,1134,1148,1162,   0,1174,1187,   0,1199,   0,1213,1224,
 1234,   0,1247,1261,1276,   0,1288,   0,   0,1303,   0,1314,1327,1340,1352,1360,
 1372,1390,1402,   0,   0,   0,   0,   0,   0,1414,   0,   0,   0,   0,   0,1427,
 1435,1446,   0,   0,   0,   0,1461,   0,1477,   0,1492,1504,1516,1530,1543,1556,
 1568,1582,1595,   0,1608,1618,1628,   0,   0,1638,1648,1658,   0,   0,   0,   0,
    0,1668,1678,1690,1701,1713,1723,1733,1743,1757,1772,1787,   0,   0,   0,   0,
};

const char *pdfexpert_encoding_string(unsigned int i)
{
    return pdf_expert_encoding_strings + pdf_expert_encoding_offsets[i];
}

