/*
	Which fonts are embedded is based on a few preprocessor definitions.

	The base 14 fonts are always embedded.
	For CJK font substitution we embed DroidSansFallback.

	Set NOCJK to skip all CJK support (this also omits embedding the CJK CMaps)
	Set NOCJKFONT to skip the embedded CJK font.
	Set NOCJKFULL to embed a smaller CJK font without CJK Extension A support.
*/
#define NOCJK
#include <string.h>
#include "gen_fonts_base14.h"
#include "gen_font_dingbats.h"
#ifndef NOCJK
#include "gen_font_cjk.h"
#endif
//{"DroidSansFallback",pdf_font_DroidSansFallback,3838696},
//{"Dingbats",pdf_font_Dingbats,32832},

#if 0
    {"NimbusMono-Bold",pdf_font_NimbusMono_Bold,62684},
    {"NimbusMono-Regular",pdf_font_NimbusMono_Regular,55996},
    {"NimbusRomNo9L-Med",pdf_font_NimbusRomNo9L_Med,63036},
    {"NimbusRomNo9L-Reg",pdf_font_NimbusRomNo9L_Reg,60468},
    {"NimbusSanL-Bold",pdf_font_NimbusSanL_Bold,45753},
    {"NimbusSanL-Reg",pdf_font_NimbusSanL_Reg,44605},
    {"StandardSymL",pdf_font_StandardSymL,19828},
#endif

unsigned char *
pdf_lookup_builtin_font(char *name, unsigned int *len)
{
	if (!strcmp("Courier", name) || !strcmp("Courier-Oblique", name)) {
		*len = sizeof pdf_font_NimbusMono_Regular;
		return (unsigned char*) pdf_font_NimbusMono_Regular;
	}
	if (!strcmp("Courier-Bold", name) || !strcmp("Courier-BoldOblique", name)) {
		*len = sizeof pdf_font_NimbusMono_Bold;
		return (unsigned char*) pdf_font_NimbusMono_Bold;
	}
	if (!strcmp("Helvetica", name) || !strcmp("Helvetica-Oblique", name)) {
		*len = sizeof pdf_font_NimbusSanL_Reg;
		return (unsigned char*) pdf_font_NimbusSanL_Reg;
	}
	if (!strcmp("Helvetica-Bold", name) || !strcmp("Helvetica-BoldOblique", name)) {
		*len = sizeof pdf_font_NimbusSanL_Bold;
		return (unsigned char*) pdf_font_NimbusSanL_Bold;
	}
	if (!strcmp("Times-Roman", name) || !strcmp("Times-Italic", name)) {
		*len = sizeof pdf_font_NimbusRomNo9L_Reg;
		return (unsigned char*) pdf_font_NimbusRomNo9L_Reg;
	}
	if (!strcmp("Times-Bold", name) || !strcmp("Times-BoldItalic", name)) {
		*len = sizeof pdf_font_NimbusRomNo9L_Med;
		return (unsigned char*) pdf_font_NimbusRomNo9L_Med;
	}
	if (!strcmp("Symbol", name) || strstr(name, "CMR")) {
		*len = sizeof pdf_font_StandardSymL;
		return (unsigned char*) pdf_font_StandardSymL;
	}
	if (!strcmp("ZapfDingbats", name)) {
		*len = sizeof pdf_font_Dingbats;
		return (unsigned char*) pdf_font_Dingbats;
	}
	*len = 0;
	return NULL;
}

unsigned char *
pdf_lookup_substitute_cjk_font(int ros, int serif, unsigned int *len)
{
#ifndef NOCJK
	*len = sizeof pdf_font_DroidSansFallback;
	return (unsigned char*) pdf_font_DroidSansFallback;
#else
    *len = 0;
    return NULL;
#endif
}

