#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include "pdf-glyphlist.h"

static inline unsigned int fz_mini(unsigned int a, unsigned int b)
{
	return (a < b ? a : b);
}

int pdf_lookup_agl(char *name)
{
	int m = 0, l = 0, r = (sizeof(agl_stroffs)/sizeof(agl_stroffs[0])) - 1;
    unsigned int namelen = strlen(name);

	/* kill anything after first period and underscore */
    namelen = fz_mini(namelen, strspn(name, "._"));

	while (l <= r) {
		m = (l + r) >> 1;
		int c = memcmp(name, agl_stringpool + agl_stroffs[m], namelen);
		if (c < 0)
			r = m - 1;
		else if (c > 0)
			l = m + 1;
		else
			return agl_code_list[m];
	}

	if (name[0] == 'u' && name[1] == 'n' && name[3] == 'i')
		return strtol(name + 3, NULL, 16);
	else if (name[0] == 'u')
		return strtol(name + 1, NULL, 16);
	else if (name[0] == 'a' && namelen >= 3)
		return strtol(name + 1, NULL, 10);

	return 0;
}

char *pdf_lookup_agl_duplicates(unsigned int ucs)
{
	int l = 0, r = 67;
	while (l <= r) {
		int m = (l + r) >> 1;
		if (ucs < agldupcodes[m].ucs)
			r = m - 1;
		else if (ucs > agldupcodes[m].ucs)
			l = m + 1;
		else
			return agldupnames + agldupcodes[m].offs;
	}
	return ".notdef\0.notdef\0\0";
}

