#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <unistd.h>
#include <zlib.h>
unsigned char *slurp_file(const char *filename, size_t *filesize);

int main(int argc, char **argv) {
    z_stream stream;
    int err;
    size_t insz = 0, outsz = 0;
    unsigned char *outbuf, *inbuf = slurp_file(argv[0], &insz);
    outsz = 64*insz;
    outbuf = malloc(outsz+1);

    stream.next_in = (const Byte *)inbuf;
    stream.avail_in = insz;
    stream.next_out = outbuf;
    stream.avail_out = (uInt)outsz;
    stream.zalloc = (alloc_func)0;
    stream.zfree = (free_func)0;

    err = inflateInit2(&stream, 15);
    if (err != Z_OK) return err;

    err = inflate(&stream, Z_FINISH);
    outsz = stream.total_out;

    inflateEnd(&stream);
    fprintf(stderr, "%d\n", err);
    write(1, outbuf, outsz);
    return 0;
}
     
